function p.get_is_solid()
    return true
end

function p.get_tex()
    return "block_hall"
end

function p.main()
    set_default_block("r_hall")
    
    std.create_tube(3, "y", "e")
    std.create_center(5,"e")

    std.create_half_tube(3,"x_pos","e")

    local msg_str = "Within the main function, "
        .. "there are two fundamental functions "
        .. "that can be called to change the block data: "
        .. "^x00ff00set_default_block^! and ^x00ff00set_pos^!.\n\n"
        .. "The blocks within a chunk are stored "
        .. "by having a default block type and a list "
        .. "of all blocks that are not of that default type.\n\n"
        .. "See the Creation Manual for more on how "
        .. "these functions work.\n\n"
        .. "The floor below this one, Floor 4, "
        .. "will be devoted to more complicated "
        .. "functions to change the block data. "
        .. "However, only set_default_block "
        .. "and set_pos are necessary. "
    add_bent_s(7,7,7,"bent_base_txt",msg_str)
end
